# getStreamDetails

```javascript
(async() => {
    let details = await SOLPay.getStreamDetails("..."); // { type: "...", pending: 0, sent: 0, signatures: [...], healthyBalance: true, lastRequestedRefill: 0, paused: false, closed: false }
})();
```

### Parameters:

* stream: string - the stream for getting details

### Returns:

object (`{ type: "...", pending: 0, sent: 0, signatures: [...], healthyBalance: true, lastRequestedRefill: 0, paused: false, closed: false }`) - the stream details

* type: string (`"..."`) - the type of stream (`lamports`)
* pending: number (`0`) - the number of pending lamports that have not yet been transferred and are still accumulating in the Stream Wallet
* sent: number (`0`) - the number of lamports that have been transferred from the Stream Wallet to the receiving wallet
* signatures: Array (`[...]`) - the list of transaction signatures for transfers of lamports from the Stream Wallet to the receiving wallet (which can be verified using [transaction.php](/reference/api-reference/transaction.md))
* healthyBalance: boolean (`true`) - whether the balance of the Stream Wallet is healthy (enough to send one transfer at the threshold amount)
* lastRequestedRefill: number (`0`) - the timestamp (Unix timestamp in milliseconds) when the last refill was requested, this will be set to `0` if no refills have been requested or immediately after a refill is requested manually through the [refillStream](/reference/sdk-reference/refill-stream.md) method (but not when the refill is automatically requested on a 45 second interval when the balance is no longer healthy)
* paused: boolean (`false`) - whether the stream is paused
* closed: boolean (`false`) - whether the stream is closed

### Throws:

* `SOL Pay SDK Fatal Error: Invalid stream ${stream}.` - an invalid stream was used


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://solpay-docs.solblaze.org/reference/sdk-reference/get-stream-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
